GET api/Agenda/GetTasks?startDate={startDate}&endDate={endDate}&fieldId={fieldId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
startDate

date

None.

endDate

date

None.

fieldId

integer

None.

Body Parameters

None.

Response Information

Resource Description

Collection of TaskDto
NameDescriptionTypeAdditional information
Title

string

None.

Note

string

None.

TaskType

TaskType

None.

StartDate

date

None.

EndDate

date

None.

StartHour

time interval

None.

Duration

time interval

None.

Field

FieldDto

None.

WorkerCount

integer

None.

TeamLeadDenomination

string

None.

PackageType

string

None.

Quantity

decimal number

None.

TaskId

integer

None.

TaskMultifieldId

integer

None.

TaskState

TaskStateType

None.

IsMultiLotto

boolean

None.

MessageState

string

None.

DoneStartDateTime

date

None.

DoneEndDateTime

date

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "Title": "sample string 1",
    "Note": "sample string 2",
    "TaskType": 0,
    "StartDate": "2026-06-22T08:18:48.9767994+02:00",
    "EndDate": "2026-06-22T08:18:48.9767994+02:00",
    "StartHour": "00:00:00.1234567",
    "Duration": "00:00:00.1234567",
    "Field": {
      "FieldName": "sample string 1",
      "LandId": 2,
      "LandName": "sample string 3",
      "ProductId": 1,
      "ProductName": "sample string 4",
      "ProductColor": "sample string 5",
      "OccupiedArea": 6.0,
      "GeoJson": null,
      "SeasonYear": 7,
      "SeasonStartDate": "2026-06-22T08:18:48.9767994+02:00",
      "SeasonEndDate": "2026-06-22T08:18:48.9767994+02:00",
      "SeasonState": 0,
      "Id": 8,
      "CreatedOnDate": "2026-06-22T08:18:48.9767994+02:00"
    },
    "WorkerCount": 5,
    "TeamLeadDenomination": "sample string 6",
    "PackageType": "sample string 7",
    "Quantity": 1.0,
    "TaskId": 1,
    "TaskMultifieldId": 1,
    "TaskState": 0,
    "IsMultiLotto": true,
    "MessageState": "sample string 9",
    "DoneStartDateTime": "2026-06-22T08:18:48.9767994+02:00",
    "DoneEndDateTime": "2026-06-22T08:18:48.9767994+02:00"
  },
  {
    "Title": "sample string 1",
    "Note": "sample string 2",
    "TaskType": 0,
    "StartDate": "2026-06-22T08:18:48.9767994+02:00",
    "EndDate": "2026-06-22T08:18:48.9767994+02:00",
    "StartHour": "00:00:00.1234567",
    "Duration": "00:00:00.1234567",
    "Field": {
      "FieldName": "sample string 1",
      "LandId": 2,
      "LandName": "sample string 3",
      "ProductId": 1,
      "ProductName": "sample string 4",
      "ProductColor": "sample string 5",
      "OccupiedArea": 6.0,
      "GeoJson": null,
      "SeasonYear": 7,
      "SeasonStartDate": "2026-06-22T08:18:48.9767994+02:00",
      "SeasonEndDate": "2026-06-22T08:18:48.9767994+02:00",
      "SeasonState": 0,
      "Id": 8,
      "CreatedOnDate": "2026-06-22T08:18:48.9767994+02:00"
    },
    "WorkerCount": 5,
    "TeamLeadDenomination": "sample string 6",
    "PackageType": "sample string 7",
    "Quantity": 1.0,
    "TaskId": 1,
    "TaskMultifieldId": 1,
    "TaskState": 0,
    "IsMultiLotto": true,
    "MessageState": "sample string 9",
    "DoneStartDateTime": "2026-06-22T08:18:48.9767994+02:00",
    "DoneEndDateTime": "2026-06-22T08:18:48.9767994+02:00"
  }
]

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.